[zeromq-dev] Problem with libtool --version in autogen.sh

Brian Granger ellisonbg at gmail.com
Mon Mar 15 15:27:09 CET 2010


Mato,

> If the only thing stopping autogen.sh from working on MacOSX is it issuing
> "libtool --version", we can just as well change that to just "libtool" and
> the test should still work.

I tried changing the test to:

libtool /dev/null 2>&1

But this still fails as libtool gives a:

libtool: no output file specified (specify with -o output)

The following does work:

if [ `uname` == "Darwin" ]; then
    libtool_version_flag="-V"
else
    libtool_version_flag="--version"
fi

libtool "$libtool_version_flag" > /dev/null 2>&1
if  [ $? -ne 0 ]; then
    echo
    echo "Could not find libtool, libtool.m4 macro is probably not installed."
    echo
    exit 1
fi

> So can you confirm (not obvious from this thread) that building git on
> MacOSX does work for you? If so I'll change the test.

Yes, with this fix,, I can build from git master just fine and all my
tests pass.

Cheers,

Brian

> Cheers,
>
> -mato
> _______________________________________________
> zeromq-dev mailing list
> zeromq-dev at lists.zeromq.org
> http://lists.zeromq.org/mailman/listinfo/zeromq-dev
>



-- 
Brian E. Granger, Ph.D.
Assistant Professor of Physics
Cal Poly State University, San Luis Obispo
bgranger at calpoly.edu
ellisonbg at gmail.com



More information about the zeromq-dev mailing list